Skip to main content
PUT
/
user_settings
/
{id}
Update a user settings
curl --request PUT \
  --url https://app.leadconduit.com/user_settings/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notifications": {
    "submission_doc_updates": {
      "enabled": true,
      "unsubscribed_at": "2023-11-07T05:31:56Z"
    },
    "connection_invites": {
      "enabled": true,
      "unsubscribed_at": "2023-11-07T05:31:56Z"
    }
  }
}
'
[
  {
    "id": "5fd4371e940df5a34a3888b2",
    "notifications": {
      "submission_doc_updates": {
        "enabled": true,
        "unsubscribed_at": "2023-11-07T05:31:56Z"
      },
      "connection_invites": {
        "enabled": true,
        "unsubscribed_at": "2023-11-07T05:31:56Z"
      }
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required

The ID of the user settings 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Body

application/json

Update an existing User Settings

notifications
object
required

User notification settings

Response

200 - application/json

OK

id
string
required

The ID of the setting which uniquely identifies it, same as user ID

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

notifications
object
required

User notification settings

created_at
string<date-time>
updated_at
string<date-time>